Skip to main content
PUT
/
api
/
v0
/
instances
/
request_logs
/
{id}
show logs
curl --request PUT \
  --url https://console.vast.ai/api/v0/instances/request_logs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tail": "1000",
  "filter": "<string>",
  "daemon_logs": "true"
}
'
{
  "success": true,
  "result_url": "https://s3.amazonaws.com/vast.ai/instance_logs/{hash}.log",
  "msg": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://vastai-80aa3a82-feat-host-3113-dynamic-resize.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

ID of the instance to get logs from

Body

application/json
tail
string

Number of lines to show from end of logs

Example:

"1000"

filter
string

Grep filter to apply to log entries

daemon_logs
enum<string>

If "true", fetch daemon system logs instead of container logs

Available options:
true

Response

Success response with S3 URL for log retrieval

success
boolean
Example:

true

result_url
string

S3 URL where logs can be downloaded

Example:

"https://s3.amazonaws.com/vast.ai/instance_logs/{hash}.log"

msg
string

Status message